For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all contracts

Retrieve a paginated list of contracts, provisioned under the Master Reseller contract. Default limit is the first 50 items; use pagination query parameters for listing more items.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Query parameters
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 5000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 50
filter.statusstringOptional

Filter the list by contract status [BILLABLE, CEASED, REJECTED].

Responses
200

Success

application/json
offsetnumberOptional

The offset (if specified in the request).

Example: 0
limitnumberOptional

The limit (if specified in the request).

Example: 1000
get/contracts
GET /reseller/v2/contracts HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
  "items": [
    {
      "id": "15514",
      "href": "https://api.ionos.com/reseller/v2/contract/15514",
      "name": "text",
      "resellerReference": "text",
      "status": "text",
      "resourceLimits": {
        "ramServerMax": 1,
        "cpuServerMax": 1,
        "hddVolumeMaxSize": 1,
        "ssdVolumeMaxSize": 1,
        "ramContractMax": 1,
        "cpuContractMax": 1,
        "hddVolumeContractMaxSize": 1,
        "ssdVolumeContractMaxSize": 1,
        "ips": 1
      }
    }
  ],
  "offset": 0,
  "limit": 1000,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?